Bug 1255978 - adding additional entitlements needs validation; you can specify > max
adding additional entitlements needs validation; you can specify > max
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: beta
: 1.0
Assigned To: John Matthews
Dave Johnson
: Triaged
: 1256925 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-22 16:33 EDT by Dave Johnson
Modified: 2018-01-30 17:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ss (6.92 KB, image/png)
2015-08-22 16:33 EDT, Dave Johnson
no flags Details

  None (edit)
Description Dave Johnson 2015-08-22 16:33:29 EDT
Created attachment 1065883 [details]
ss

Description of problem:
========================================
The deployment wizard takes your RHN credentials, allows you to then configure your SM application, and then you can give it more entitlements.  The wizard seems to have some validation, 0 or greater than max shows a red outline but the deploy button is not disabled and allows the user to proceed. 

The assumption is this would blow the deployment up.  See the screenshots to follow


Version-Release number of selected component (if applicable):
==================================================================
0821 iso
Comment 1 Dave Johnson 2015-08-22 16:35:20 EDT
Created attachment 1065884 [details]
summary
Comment 2 jmagen@redhat.com 2015-08-25 14:20:42 EDT
fixed
https://github.com/fusor/fusor/pull/327
Comment 3 Thom Carlin 2015-08-25 14:41:59 EDT
*** Bug 1256925 has been marked as a duplicate of this bug. ***
Comment 5 Dave Johnson 2015-08-31 16:45:51 EDT
Its better so moving to verified with 0829...  I said max+100, clicked next, and it changed the value to whats available.  I'd prefer to force the user to fix it so they know but...

Note You need to log in before you can comment on or make changes to this bug.